<template>
  <div style="display:inline;margin:0 16px">
    <el-popconfirm
      title="确定删除当前版块吗？"
      @confirm="deleteRow()">
      <el-button slot="reference" size="small" type="text">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  props:['data'],
  methods:{
    deleteRow () {
      var that = this
      this.$api.requested({
        "classname": "webmanage.saletool.notice.noticeclass",
        "method": "delete",
        "content": {
          "sat_notice_classid":this.data.sat_notice_classid
        }
      }).then((res)=>{
        this.tool.showMessage(res)
        that.$emit('onSuccess')
      }).catch((err) => {
        console.log(err)
      })
    },
  }
}

</script>
